# User Profile

### Location

The User profile is available through the User Profile icon in the top right corner of Threat Center. Clicking the icon will display a drop-down menu with options.

![](/files/-Mirqu9rOr0il6H13cDK)

Selecting Profile will redirect the user to their profile from which they will have access to metadata associated with their account.&#x20;

![](/files/-Mirr8QVrDcY3RVLhodV)

### Organization

Organization name and OrgID are displayed on the left side of the user profile, shown below. OrgID is required for integration with external tooling.&#x20;

![](/files/-MirsbtpwKK9Nnt2tzRd)

### Entities

Users may be assigned to one or more entities within an organization. Entity assignments are assigned based on the entity assignment of the user who invited them to Threatrix or when an administrator creates your account.&#x20;

EntityID values are used with integrated tooling to choose which Entity the scan results for a project will be assigned.

![](/files/-MirsmfpAZs2Y9VT8Goi)

### Roles

User roles are assigned by your organization's administrator and are displayed with the Roles tab. If you possess ADMIN or SUPER ADMIN privileges,  you may modify your own role and privileges.&#x20;

![](/files/-Mis4A3iHX9Y6BjHZE3m)

### API Keys

API Keys are required for access to the [Threatrix API](/graphql-api/api-overview.md).&#x20;

![](/files/-Mis4_c2xt3zHdh_xO5p)

Adding a new user API key:

Clicking "Add API Key" will take you to a screen that allows you to create a new API Key. Add a title based on the keys' intended usage and an optional description and click Generate API Key.

API Keys are valid for a period of one year or until deleted or marked as invalid by an Administrator.&#x20;

![](/files/-Mis4tN3ZU8_QD6iivZ8)

### SCM Accounts

Source control manager (SCM) accounts, while not required, are used throughout the Threatrix platform to perform actions on behalf of the user including scanning, creation of pull requests and viewing snippets in the SIMM tool. In order to use these various features you'll either need to use the OAuth login for your SCM, from the login screen or add an SCM account by manfully creating a token and adding it here.&#x20;

#### GitHub Permissions

For PUBLIC ONLY repository access

```
public_repo, read:org, read:user, user:email, workflow
```

For PUBLIC & PRIVATE repository access

```
repo, read:org, read:user, user:email, workflow
```

#### GitLab Permissions

```
api, read_user, read_repository, write_repository
```

#### Bitbucket Permission

```
email, account, repository:write, pullrequest:write
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.threatrix.io/threat-center-1/user-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
